Bug 1007391 - Missing artifact when building quickstarts
Missing artifact when building quickstarts
Product: JBoss Enterprise Portal Platform 6
Classification: JBoss
Component: Quickstarts (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: CR01
: 6.1.0
Assigned To: Peter Palaga
Dominik Pospisil
Depends On:
  Show dependency treegraph
Reported: 2013-09-12 07:50 EDT by Filip Kiss
Modified: 2015-01-05 08:04 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Filip Kiss 2013-09-12 07:50:54 EDT
Description of problem:

When building using settings-zipped-repos.xml:

Non-resolvable parent POM: Failure to find org.jboss.bom:jboss-bom-parent:pom:1.0.4.Final-redhat-9

When building using settings-hosted-repo.xml:

Non-resolvable import POM: Failure to find org.jboss.bom:gatein-3.6-bom:pom:1.0.3.Final-redhat-1

Used QS:
Comment 2 Peter Palaga 2013-09-12 09:04:54 EDT
This is a productization problem. Assigning to Honza, as he is responsible for handling productized versions of org.jboss.bom:jboss-bom-parent and org.jboss.bom:gatein-3.6-bom in quickstarts and our BOM.
Comment 3 Filip Kiss 2013-10-02 12:44:25 EDT
Tried to build QS with offline repo, there is missing another artifact: org.jboss.spec:jboss-javaee-6.0:pom:3.0.2.Final-redhat-4

When building using settings-hosted-repo.xml, there is missing:

Used QS and repo:
Comment 4 Filip Kiss 2013-10-03 03:47:37 EDT
Artifact org.jboss.spec:jboss-javaee-6.0:pom:3.0.2.Final-redhat-4  is missing because of there is no jboss-eap-6.1.1.GA-maven-repository in the settings-zipped-repos.xml file.

Note You need to log in before you can comment on or make changes to this bug.